<?php
namespace Mirasvit\SeoFilter\Block\Adminhtml\Attribute\Edit\Tab\UrlRewrite;

/**
 * Interceptor class for @see \Mirasvit\SeoFilter\Block\Adminhtml\Attribute\Edit\Tab\UrlRewrite
 */
class Interceptor extends \Mirasvit\SeoFilter\Block\Adminhtml\Attribute\Edit\Tab\UrlRewrite implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Framework\Registry $registry, \Magento\Framework\Data\FormFactory $formFactory)
    {
        $this->___init();
        parent::__construct($context, $registry, $formFactory);
    }

    /**
     * {@inheritdoc}
     */
    public function getForm()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getForm');
        return $pluginInfo ? $this->___callPlugins('getForm', func_get_args(), $pluginInfo) : parent::getForm();
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
